+ Reply
Results 1 to 3 of 3

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Cydia error need help please

is a discussion within the

General iPhone Chat

forums, a part of the

iPhone Modding

section;
Is there any body know how to fix this? I couldnt find any solutions about it. Any help will be appreciated. Thank you
...
  1. #1
    What's Jailbreak?
    Join Date
    Apr 2008
    Posts
    21
    Thanks
    0
    Thanked 1 Time in 1 Post
    Default Cydia error need help please
    Is there any body know how to fix this? I couldnt find any solutions about it. Any help will be appreciated. Thank you
    Attached Thumbnails Attached Thumbnails Cydia error  need help please-imageuploadedbymodmyi1346650259.091742.jpg  

  2. #2
    H4CK3R's Avatar
    Join Date
    Jan 2012
    Location
    java.lang.IllegalStateException: Location unknown.
    Posts
    5,824
    Thanks
    63
    Thanked 262 Times in 251 Posts

    Quote Originally Posted by raduga
    Can you connect with SSH or MobileTerminal?

    If so, can you try:

    # dpkg -l |wc

    and see what that reports?
    (dpkg [dash] L [pipe] wc)
    Try this. If that doesn't work, try running apt-get update (if you have Terminal) or try deleting and re-installing the ModMyi source.
    Great minds discuss ideas.
    Average minds discuss events.
    Small minds discuss people.

  3. #3
    My iPhone is a Part of Me radioBirdman's Avatar
    Join Date
    Sep 2011
    Posts
    913
    Thanks
    1,465
    Thanked 914 Times in 511 Posts

    I'd use iFile or SSH/USB to delete all the files in /var/lib/apt/lists. Leave the 'partial' directory, but everything else in the 'lists' directory is safe to delete.

    Then I'd use Mobile Terminal to run apt-get update (as root) to get fresh up to date lists.

    Then I'd launch Cydia.

    And I'm pretty sure that she'd be all good.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts